//
//  Evaluator.h
//  InteractiveObjects
//

#ifndef __OpenNiMultiViewer_Evaluator__
#define __OpenNiMultiViewer_Evaluator__

#include <stdexcept>
#include <XnTypes.h>
#include <boost/noncopyable.hpp>

class Evaluator : private boost::noncopyable
{
public:
        static void check_status(XnStatus rc)
        {
                if ( rc != XN_STATUS_OK ) {
                        throw std::runtime_error(xnGetStatusString(rc));
                }
        }
        
private:
        Evaluator();
        ~Evaluator();
};

#endif /* defined(__OpenNiMultiViewer__Evaluator__) */
